#!/usr/bin/perl -wT
#
# purity_calc.pl - script to calculate the results of a filePro purity
# test, display the score and then give the user the option of being
# added to the list of test takers.
# It is called from purity_test.html
#

# use strict;

print "Content-type: text/HTML\n\n";

push(@INC, "/ux30/0/009/cgi-bin");
$SCORES = "scores.dat";

require("cgi-lib.pl");
use Time::localtime;

print <<"**END**";
  <HTML>

  <HEAD>
      <TITLE>filePro purity test score</TITLE>
      <LINK Rel="StyleSheet" Type="text/css" HREF="../css/hvca.css">
  </HEAD>

  <BODY>

**END**

#########################################################################

$NUM_OF_QUESTIONS = 117;

&ReadParse(*input);

$username = $input{"username"};
$score = $input{"final_score"};
$total = $input{"final_total"};
$percent = $input{"final_percent"};

if ( length($percent) == 0 )
  {
  $total = 0;
  foreach $i ( keys  %input )
    {
      $ii = $i;
      if ( $ii =~ m/^q[0-9][0-9][0-9]$/
	    && 
	    $input{$i} eq 1)
      {
        $total++;
      }
    }
  $percent = sprintf("%2.2f",( ($total / $NUM_OF_QUESTIONS ) * 100) );
  $score = 100 - $percent;
  }

$tm = localtime;
$today = sprintf("%04d/%02d/%02d",$tm->year+1900,$tm->mon+1,$tm->mday);

if (length ($username) > 0 )
{	#got a name, add it to the score file
	if ( ! open (SCORES, ">> $SCORES") )
		{
		print "Unable to open $SCORES file.\n";
		die "Unable to open $SCORES file.\n";
		}
	print SCORES $percent.":".$username.":".$today."\n";
	close SCORES;
    print <<"**EOF**";
	Thank you, $username, for taking the filePro purity test.
	Your score of $percent percent has been recorded.
	<p>
	<a href="javascript:close()">Click here</a>
	to close this window and return to the Purity page.
**EOF**
}
else #user did not enter a name
  {
  if ( length($input{"final_percent"}) > 0 )
	{
        $note = "<tr><td align=center><b>Please enter your name if you want to record your score.</b></td></tr>";
	}
  else
	{
	$note = "";
	}

  print <<"**EOF**";

    <FORM method=POST action=/cgi-bin/purity_calc.pl>

    <center>
    $total out of 117 is $percent percent
    <br>
    You are $score percent filePro pure or $percent percent filePro corrupt.
    </center>
    <br>

    <input type=hidden name="final_score" value=$score>
    <input type=hidden name="final_percent" value=$percent>
    <input type=hidden name="final_total" value=$total>

    <table align=center>
    <tr>
    <td align=center>Your full name:
        <input type=text name="username" size=32>
    </td>
    </tr>

    $note

    </table>
    <br>

    <center>
    Click on <b>Add Score</b> to  append your results 
    <br> to the high score list.
    <p>
    <input type=submit value="Add Score" >
    <input type=reset value="Reset">
    </center>

    </FORM>
    <center>
        Return to <a href="../filepro/purity.html">the purity page</a>.
    </center>
**EOF**
  }

#########################################################################

print <<"**END**";


</BODY>
</HTML>
**END**
